/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Languages
 */
public enum EnumCV_Languages 
{
	// Languages - CID 5000
	AFRIKAANS_af("af"),
	AFRIKAANS__SOUTH_AFRICA_af_ZA("af-ZA"),
	ARABIC_ar("ar"),
	ARABIC__UNITED_ARAB_EMIRATES_ar_AE("ar-AE"),
	ARABIC__BAHRAIN_ar_BH("ar-BH"),
	ARABIC__ALGERIA_ar_DZ("ar-DZ"),
	ARABIC__EGYPT_ar_EG("ar-EG"),
	ARABIC__IRAQ_ar_IQ("ar-IQ"),
	ARABIC__JORDAN_ar_JO("ar-JO"),
	ARABIC__KUWAIT_ar_KW("ar-KW"),
	ARABIC__LEBANON_ar_LB("ar-LB"),
	ARABIC__LIBYA_ar_LY("ar-LY"),
	ARABIC__MOROCCO_ar_MA("ar-MA"),
	ARABIC__OMAN_ar_OM("ar-OM"),
	ARABIC__QATAR_ar_QA("ar-QA"),
	ARABIC__SAUDI_ARABIA_ar_SA("ar-SA"),
	ARABIC__SYRIA_ar_SY("ar-SY"),
	ARABIC__TUNISIA_ar_TN("ar-TN"),
	ARABIC__YEMEN_ar_YE("ar-YE"),
	AZERI_az("az"),
	CYRL_AZERI_CYRILLIC__AZERBAIJAN_az_AZ("az-AZ"),
	AZERI_LATIN__AZERBAIJAN_az_AZ_Latn("az-AZ-Latn"),
	BELARUSIAN_be("be"),
	BELARUSIAN__BELARUS_be_BY("be-BY"),
	BULGARIAN_bg("bg"),
	BULGARIAN__BULGARIA_bg_BG("bg-BG"),
	CATALAN_ca("ca"),
	CATALAN__CATALAN_ca_ES("ca-ES"),
	CZECH_cs("cs"),
	CZECH__CZECH_REPUBLIC_cs_CZ("cs-CZ"),
	DANISH_da("da"),
	DANISH__DENMARK_da_DK("da-DK"),
	GERMAN_de("de"),
	GERMAN__AUSTRIA_de_AT("de-AT"),
	GERMAN__SWITZERLAND_de_CH("de-CH"),
	GERMAN__GERMANY_de_DE("de-DE"),
	GERMAN__LIECHTENSTEIN_de_LI("de-LI"),
	GERMAN__LUXEMBOURG_de_LU("de-LU"),
	DHIVEHI_div("div"),
	DHIVEHI__MALDIVES_div_MV("div-MV"),
	GREEK_el("el"),
	GREEK__GREECE_el_GR("el-GR"),
	ENGLISH_en("en"),
	ENGLISH__AUSTRALIA_en_AU("en-AU"),
	ENGLISH__BELIZE_en_BZ("en-BZ"),
	ENGLISH__CANADA_en_CA("en-CA"),
	ENGLISH__CARIBBEAN_en_CB("en-CB"),
	ENGLISH__UNITED_KINGDOM_en_GB("en-GB"),
	ENGLISH__IRELAND_en_IE("en-IE"),
	ENGLISH__JAMAICA_en_JM("en-JM"),
	ENGLISH__NEW_ZEALAND_en_NZ("en-NZ"),
	ENGLISH__PHILIPPINES_en_PH("en-PH"),
	ENGLISH__TRINIDAD_AND_TOBAGO_en_TT("en-TT"),
	ENGLISH__UNITED_STATES_en_US("en-US"),
	ENGLISH__SOUTH_AFRICA_en_ZA("en-ZA `"),
	ENGLISH__ZIMBABWE_en_ZW("en-ZW"),
	SPANISH_es("es"),
	SPANISH__ARGENTINA_es_AR("es-AR"),
	SPANISH__BOLIVIA_es_BO("es-BO"),
	SPANISH__CHILE_es_CLe("es-CLe"),
	SPANISH__COLOMBIA_es_CO("es-CO"),
	SPANISH__COSTA_RICA_es_CR("es-CR"),
	SPANISH__DOMINICAN_REPUBLIC_es_DO("es-DO"),
	SPANISH__ECUADOR_es_EC("es-EC"),
	SPANISH__SPAIN_es_ES("es-ES"),
	SPANISH__GUATEMALA_es_GT("es-GT"),
	SPANISH__HONDURAS_es_HN("es-HN"),
	SPANISH__MEXICO_es_MX("es-MX"),
	SPANISH_NICARAGUA_es_NISpanish("es-NI Spanish"),
	SPANISH__PANAMA_es_PA("es-PA"),
	SPANISH__PERU_es_PE("es-PE"),
	SPANISH__PUERTO_RICO_es_PR("es-PR"),
	SPANISH__PARAGUAY_es_PY("es-PY"),
	SPANISH__EL_SALVADOR_es_SV("es-SV"),
	SPANISH__URUGUAY_es_UY("es-UY"),
	SPANISH__VENEZUELA_es_VE("es-VE"),
	ESTONIAN_et("et"),
	ESTONIAN__ESTONIA_et_EE("et-EE"),
	BASQUE_eu("eu"),
	BASQUE__BASQUE_eu_ES("eu-ES"),
	FARSI_fa("fa"),
	FARSI__IRAN_fa_IR("fa-IR"),
	FINNISH_fi("fi"),
	FINNISH__FINLAND_fi_FI("fi-FI"),
	FAROESE_fo("fo"),
	FAROESE__FAROE_ISLANDS_fo_FO("fo-FO"),
	FRENCH_fr("fr"),
	FRENCH__BELGIUM_fr_BE("fr-BE"),
	FRENCH__CANADA_fr_CA("fr-CA"),
	FRENCH__SWITZERLAND_fr_CH("fr-CH"),
	FRENCH__FRANCE_fr_FR("fr-FR"),
	FRENCH__LUXEMBOURG_fr_LU("fr-LU"),
	FRENCH__MONACO_fr_MC("fr-MC"),
	GALICIAN_gl("gl"),
	GALICIAN__GALICIAN_gl_ES("gl-ES"),
	GUJARATI_gu("gu"),
	GUJARATI__INDIA_gu_IN("gu-IN"),
	HEBREW_he("he"),
	HEBREW__ISRAEL_he_IL("he-IL"),
	HINDI_hi("hi"),
	HINDI__INDIA_hi_IN("hi-IN"),
	CROATIAN_hr("hr"),
	CROATIAN__CROATIA_hr_HR("hr-HR"),
	HUNGARIAN_hu("hu"),
	HUNGARIAN__HUNGARY_hu_HU("hu-HU"),
	ARMENIAN_hy("hy"),
	ARMENIAN__ARMENIA_hy_AM("hy-AM"),
	INDONESIAN_id("id"),
	INDONESIAN__INDONESIA_id_ID("id-ID"),
	ICELANDIC_is("is"),
	ICELANDIC__ICELAND_is_IS("is-IS"),
	ITALIAN_it("it"),
	ITALIAN_SWITZERLAND_it_CHItalian("it-CH Italian"),
	ITALIAN__ITALY_it_IT("it-IT"),
	JAPANESE_ja("ja"),
	JAPANESE__JAPAN_ja_JP("ja-JP"),
	GEORGIAN_ka("ka"),
	GEORGIAN__GEORGIA_ka_GE("ka-GE"),
	KAZAKH_kk("kk"),
	KAZAKH__KAZAKHSTAN_kk_KZ("kk-KZ"),
	KANNADA_kn("kn"),
	KANNADA__INDIA_kn_IN("kn-IN"),
	KOREAN_ko("ko"),
	KONKANI_kok("kok"),
	KONKANI__INDIA_kok_IN("kok-IN"),
	KOREAN__KOREA_ko_KR("ko-KR"),
	KYRGYZ_ky("ky"),
	KYRGYZ__KYRGYZSTAN_ky_KG("ky-KG"),
	LITHUANIAN_lt("lt"),
	LITHUANIAN__LITHUANIA_lt_LT("lt-LT"),
	LATVIAN_lv("lv"),
	LATVIAN__LATVIA_lv_LV("lv-LV"),
	MACEDONIAN_mk("mk"),
	MACEDONIAN__FORMER_YUGOSLAV_REPUBLIC_OF_MACEDONIA_mk_MK("mk-MK"),
	MONGOLIAN_mn("mn"),
	MONGOLIAN__MONGOLIA_mn_MN("mn-MN"),
	MARATHI_mr("mr"),
	MARATHI__INDIA_mr_IN("mr-IN"),
	MALAY_ms("ms"),
	MALAY__BRUNEI_ms_BN("ms-BN"),
	MALAY__MALAYSIA_ms_MY("ms-MY"),
	NORWEGIAN_BOKML__NORWAY_nb_NO("nb-NO"),
	DUTCH_nl("nl"),
	DUTCH__BELGIUM_nl_BE("nl-BE"),
	DUTCH__THE_NETHERLANDS_nl_NL("nl-NL"),
	NORWEGIAN_NYNORSK__NORWAY_nn_NO("nn-NO"),
	NORWEGIAN_no("no"),
	PUNJABI_pa("pa"),
	PUNJABI__INDIA_pa_IN("pa-IN"),
	POLISH_pl("pl"),
	POLISH__POLAND_pl_PL("pl-PL"),
	PORTUGUESE_pt("pt"),
	PORTUGUESE__BRAZIL_pt_BR("pt-BR"),
	PORTUGUESE__PORTUGAL_pt_PT("pt-PT"),
	ROMANIAN_ro("ro"),
	ROMANIAN__ROMANIA_ro_RO("ro-RO"),
	RUSSIAN_ru("ru"),
	RUSSIAN__RUSSIA_ru_RU("ru-RU"),
	SANSKRIT_sa("sa"),
	SANSKRIT__INDIA_sa_IN("sa-IN"),
	SLOVAK_sk("sk"),
	SLOVAK__SLOVAKIA_sk_SK("sk-SK"),
	SLOVENIAN_sl("sl"),
	SLOVENIAN__SLOVENIA_sl_SI("sl-SI"),
	ALBANIAN_sq("sq"),
	ALBANIAN__ALBANIA_sq_AL("sq-AL"),
	SERBIAN_CYRILLIC__SERBIA_sr_SP_Cyrl("sr-SP-Cyrl"),
	SERBIAN_LATIN__SERBIA_sr_SP_Latn("sr-SP-Latn"),
	SWEDISH_sv("sv"),
	SWEDISH__FINLAND_sv_FI("sv-FI"),
	SWEDISH__SWEDEN_sv_SE("sv-SE"),
	SWAHILI_sw("sw"),
	SWAHILI__KENYA_sw_KE("sw-KE"),
	SYRIAC_syr("syr"),
	SYRIAC__SYRIA_syr_SY("syr-SY"),
	TAMIL_ta("ta"),
	TAMIL__INDIA_ta_IN("ta-IN"),
	TELUGU_te("te"),
	TELUGU__INDIA_te_IN("te-IN"),
	THAI_th("th"),
	THAI__THAILAND_th_TH("th-TH"),
	TURKISH_tr("tr"),
	TURKISH__TURKEY_tr_TR("tr-TR"),
	TATAR_tt("tt"),
	TATAR__RUSSIA_tt_RU("tt-RU"),
	UKRAINIAN_uk("uk"),
	UKRAINIAN__UKRAINE_uk_UA("uk-UA"),
	URDU_ur("ur"),
	URDU__PAKISTAN_ur_PK("ur-PK"),
	UZBEK_uz("uz"),
	UZBEK_CYRILLIC__UZBEKISTAN_uz_UZ_Cyrl("uz-UZ-Cyrl"),
	UZBEK_LATIN__UZBEKISTAN_uz_UZ_Latn("uz-UZ-Latn"),
	VIETNAMESE_vi("vi"),
	CHINESE_TRADITIONAL_zh_CHT("zh-CHT"),
	CHINESE_SIMPLIFIED_zh_CHS("zh-CHS"),
	CHINESE__CHINA_zh_CN("zh-CN"),
	CHINESE__HONG_KONG_SAR_zh_HK("zh-HK"),
	CHINESE__MACAO_SAR_zh_MO("zh-MO"),
	CHINESE__SINGAPORE_zh_SG("zh-SG"),
	CHINESE__TAIWAN_zh_TW("zh-TW"),
	
;
	private String value;
	
	EnumCV_Languages(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}